Summary:	Photo manager for GNOME
Name:		shotwell
Version:	0.20.2
Release:	2
License:	LGPL v2+ and CC-BY-SA
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/shotwell/0.20/%{name}-%{version}.tar.xz
# Source0-md5:	0adb93edba5832c6572e2c851c5c920f
Patch0:		%{name}-cflags.patch
URL:		http://www.yorba.org/projects/shotwell/
# The dependencies are listed in Makefile
BuildRequires:	atk-devel
BuildRequires:	bash
BuildRequires:	gettext-tools
BuildRequires:	gexiv2-devel
BuildRequires:	glib2-devel >= 2.32.0
BuildRequires:	gstreamer-devel >= 1.0.0
BuildRequires:	gstreamer-plugins-base-devel >= 1.0.0
BuildRequires:	gtk+3-devel >= 3.6
BuildRequires:	gtk-webkit3-devel >= 1.4.0
BuildRequires:	json-glib-devel >= 0.6.16
BuildRequires:	libexif-devel >= 0.6.16
BuildRequires:	libgee-devel >= 0.8.5
BuildRequires:	libgphoto2-devel >= 2.4.2
BuildRequires:	libraw-devel >= 0.14.7-2
BuildRequires:	libsoup-devel >= 2.26.0
BuildRequires:	libxml2-devel >= 1:2.6.32
BuildRequires:	m4
BuildRequires:	pkgconfig
BuildRequires:	rest-devel >= 0.7
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	sqlite3-devel >= 3.5.9
BuildRequires:	udev-glib-devel >= 145
BuildRequires:	vala >= 1:0.20.1
BuildRequires:	vala-gexiv2 >= 0.4.90
BuildRequires:	vala-libgee >= 0.8.5
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.26.0
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Shotwell is a digital photo organizer designed for the GNOME desktop
environment. It allows you to import photos from disk or camera,
organize them in various ways, view them in full-window or fullscreen
mode, and export them to share with others.

%prep
%setup -q
%patch0 -p1

%build
# this is not autoconf generated
./configure \
	--prefix=%{_prefix} \
	--lib=%{_lib} \
	--libexec=%{_libexecdir} \
	--disable-desktop-update \
	--disable-icon-update

%{__make} \
	CC="%{__cc}" \
	RPMCFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang shotwell --with-gnome

%{__rm} $RPM_BUILD_ROOT%{_datadir}/glib-2.0/schemas/gschemas.compiled

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%update_desktop_database
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%update_desktop_database_postun
%glib_compile_schemas

%files -f shotwell.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING MAINTAINERS NEWS README THANKS
%attr(755,root,root) %{_bindir}/shotwell*
%{_desktopdir}/%{name}-viewer.desktop
%{_desktopdir}/%{name}.desktop
%attr(755,root,root) %{_libexecdir}/shotwell-settings-migrator
%attr(755,root,root) %{_libexecdir}/shotwell-video-thumbnailer
%{_datadir}/appdata/shotwell.appdata.xml
%{_datadir}/%{name}
%{_datadir}/GConf/gsettings/*.convert
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/%{name}/plugins/builtin
%{_libdir}/%{name}/plugins/builtin/*.png
%{_libdir}/%{name}/plugins/builtin/*.glade
%attr(755,root,root) %{_libdir}/%{name}/plugins/builtin/*.so
%{_iconsdir}/hicolor/*/*/*.svg
%changelog
* Mon Jul 13 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/shotwell.git;a=log;h=master

* Mon Jul 13 2015 Jan Rękorajski <baggins@pld-linux.org> ecccbd5
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 2d51726
- updated gettext BR

* Sat Nov 01 2014 Marcin Banasiak <marcin.banasiak@gmail.com> bdea6d8
- Update to 0.20.2

* Mon Oct 06 2014 Marcin Banasiak <marcin.banasiak@gmail.com> add3051
- Update to 0.20.1

* Thu Jul 03 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 76a9c8e
- Update to 0.18.1

* Mon Apr 14 2014 Jan Rękorajski <baggins@pld-linux.org> dcd5e89
- release 2 (by relup.sh)

* Sat Mar 22 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 558cb62
- Update to 0.18.0

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> e44f7aa
- release 2 (by relup.sh)

* Tue Dec 24 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 385f8f1
- Update to 0.15.1

* Wed Mar 20 2013 wrobell <wrobell@pld-linux.org> 7eebc5c
- ver. 0.14.0

* Tue Nov 20 2012 Jan Rękorajski <baggins@pld-linux.org> 8b6d141
- release 3 (by relup.sh)

* Mon Oct 08 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 01674a4
- Release: 2

* Mon Oct 08 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 1a1d3ff
- Removed a duplicate from %files

* Mon Oct 08 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 23007e2
- Pass a formating string when GTK expects it

* Mon Oct 08 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> dc8b11f
- Missing -libexec patch file added

* Mon Oct 08 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 3c48498
- Version: 0.13.1

* Fri Sep 21 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 0bc3d12
- Version: 0.13.0

* Fri May 11 2012 Jacek Konieczny <jajcus@pld-linux.org> 2336a66
- gexiv2-devel is still needed

* Thu May 10 2012 wrobell <wrobell@pld-linux.org> 7233039
- ver. 0.12.3

* Thu Apr 12 2012 Jacek Konieczny <jajcus@pld-linux.org> 7d9edc2
- Version: 0.12.2

